Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network42.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
42.0.0.0
Broadcast address
42.255.255.255
First usable
42.0.0.1
Last usable
42.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 2A000000 · Integer 704643072 to 721420287
Reverse DNS zone
42.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101010..00000000.00000000.0000000042.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00101010..00000000.00000000.0000000042.0.0.0
Broadcast00101010..11111111.11111111.1111111142.255.255.255
Split into smaller subnets/14

42.0.0.0/8 makes 64 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
142.0.0.0/1442.0.0.1 to 42.3.255.25442.3.255.255262,142
242.4.0.0/1442.4.0.1 to 42.7.255.25442.7.255.255262,142
342.8.0.0/1442.8.0.1 to 42.11.255.25442.11.255.255262,142
442.12.0.0/1442.12.0.1 to 42.15.255.25442.15.255.255262,142
542.16.0.0/1442.16.0.1 to 42.19.255.25442.19.255.255262,142
642.20.0.0/1442.20.0.1 to 42.23.255.25442.23.255.255262,142
742.24.0.0/1442.24.0.1 to 42.27.255.25442.27.255.255262,142
842.28.0.0/1442.28.0.1 to 42.31.255.25442.31.255.255262,142
942.32.0.0/1442.32.0.1 to 42.35.255.25442.35.255.255262,142
1042.36.0.0/1442.36.0.1 to 42.39.255.25442.39.255.255262,142
1142.40.0.0/1442.40.0.1 to 42.43.255.25442.43.255.255262,142
1242.44.0.0/1442.44.0.1 to 42.47.255.25442.47.255.255262,142
1342.48.0.0/1442.48.0.1 to 42.51.255.25442.51.255.255262,142
1442.52.0.0/1442.52.0.1 to 42.55.255.25442.55.255.255262,142
1542.56.0.0/1442.56.0.1 to 42.59.255.25442.59.255.255262,142
1642.60.0.0/1442.60.0.1 to 42.63.255.25442.63.255.255262,142
1742.64.0.0/1442.64.0.1 to 42.67.255.25442.67.255.255262,142
1842.68.0.0/1442.68.0.1 to 42.71.255.25442.71.255.255262,142
1942.72.0.0/1442.72.0.1 to 42.75.255.25442.75.255.255262,142
2042.76.0.0/1442.76.0.1 to 42.79.255.25442.79.255.255262,142
2142.80.0.0/1442.80.0.1 to 42.83.255.25442.83.255.255262,142
2242.84.0.0/1442.84.0.1 to 42.87.255.25442.87.255.255262,142
2342.88.0.0/1442.88.0.1 to 42.91.255.25442.91.255.255262,142
2442.92.0.0/1442.92.0.1 to 42.95.255.25442.95.255.255262,142
2542.96.0.0/1442.96.0.1 to 42.99.255.25442.99.255.255262,142
2642.100.0.0/1442.100.0.1 to 42.103.255.25442.103.255.255262,142
2742.104.0.0/1442.104.0.1 to 42.107.255.25442.107.255.255262,142
2842.108.0.0/1442.108.0.1 to 42.111.255.25442.111.255.255262,142
2942.112.0.0/1442.112.0.1 to 42.115.255.25442.115.255.255262,142
3042.116.0.0/1442.116.0.1 to 42.119.255.25442.119.255.255262,142
3142.120.0.0/1442.120.0.1 to 42.123.255.25442.123.255.255262,142
3242.124.0.0/1442.124.0.1 to 42.127.255.25442.127.255.255262,142
3342.128.0.0/1442.128.0.1 to 42.131.255.25442.131.255.255262,142
3442.132.0.0/1442.132.0.1 to 42.135.255.25442.135.255.255262,142
3542.136.0.0/1442.136.0.1 to 42.139.255.25442.139.255.255262,142
3642.140.0.0/1442.140.0.1 to 42.143.255.25442.143.255.255262,142
3742.144.0.0/1442.144.0.1 to 42.147.255.25442.147.255.255262,142
3842.148.0.0/1442.148.0.1 to 42.151.255.25442.151.255.255262,142
3942.152.0.0/1442.152.0.1 to 42.155.255.25442.155.255.255262,142
4042.156.0.0/1442.156.0.1 to 42.159.255.25442.159.255.255262,142
4142.160.0.0/1442.160.0.1 to 42.163.255.25442.163.255.255262,142
4242.164.0.0/1442.164.0.1 to 42.167.255.25442.167.255.255262,142
4342.168.0.0/1442.168.0.1 to 42.171.255.25442.171.255.255262,142
4442.172.0.0/1442.172.0.1 to 42.175.255.25442.175.255.255262,142
4542.176.0.0/1442.176.0.1 to 42.179.255.25442.179.255.255262,142
4642.180.0.0/1442.180.0.1 to 42.183.255.25442.183.255.255262,142
4742.184.0.0/1442.184.0.1 to 42.187.255.25442.187.255.255262,142
4842.188.0.0/1442.188.0.1 to 42.191.255.25442.191.255.255262,142
4942.192.0.0/1442.192.0.1 to 42.195.255.25442.195.255.255262,142
5042.196.0.0/1442.196.0.1 to 42.199.255.25442.199.255.255262,142
5142.200.0.0/1442.200.0.1 to 42.203.255.25442.203.255.255262,142
5242.204.0.0/1442.204.0.1 to 42.207.255.25442.207.255.255262,142
5342.208.0.0/1442.208.0.1 to 42.211.255.25442.211.255.255262,142
5442.212.0.0/1442.212.0.1 to 42.215.255.25442.215.255.255262,142
5542.216.0.0/1442.216.0.1 to 42.219.255.25442.219.255.255262,142
5642.220.0.0/1442.220.0.1 to 42.223.255.25442.223.255.255262,142
5742.224.0.0/1442.224.0.1 to 42.227.255.25442.227.255.255262,142
5842.228.0.0/1442.228.0.1 to 42.231.255.25442.231.255.255262,142
5942.232.0.0/1442.232.0.1 to 42.235.255.25442.235.255.255262,142
6042.236.0.0/1442.236.0.1 to 42.239.255.25442.239.255.255262,142
6142.240.0.0/1442.240.0.1 to 42.243.255.25442.243.255.255262,142
6242.244.0.0/1442.244.0.1 to 42.247.255.25442.247.255.255262,142
6342.248.0.0/1442.248.0.1 to 42.251.255.25442.251.255.255262,142
6442.252.0.0/1442.252.0.1 to 42.255.255.25442.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses